// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.remove({ id: 'efn:hf_murasama_blade' })
    event.remove({ id: 'efn:yamato_dmc_in_sheath' })
    event.remove({ id: 'efn:yamato_dmc4_in_sheath' })
    event.remove({ id: 'toms_storage:adv_wireless_terminal' })
});

ServerEvents.recipes(event => {
    event.shaped('efn:hf_murasama_blade', [
      ' dh',
      'dhd',
      'cd '
    ], {
      c: 'terramity:murasama',  
      h: 'efn:hf_ingot',
      d: 'minecraft:diamond'    
    });
  });

ServerEvents.recipes(event => {
  event.smithing(
    'efn:yamato_dmc_in_sheath',
    'terramity:ultra_sniffer_fur',
    'efn:hf_murasama',
    'lethality:charged_redstone_piece'
  )
  event.smithing(
    'efn:yamato_dmc4_in_sheath',
    'lethality:charged_redstone_piece',
    'efn:hf_murasama',
    'terramity:ultra_sniffer_fur'
  )
})

ServerEvents.recipes(event => {
  event.remove({ output: 'iceandfire:dragonsteel_fire_helmet' })
  event.remove({ output: 'iceandfire:dragonsteel_fire_chestplate' })
  event.remove({ output: 'iceandfire:dragonsteel_fire_leggings' })
  event.remove({ output: 'iceandfire:dragonsteel_fire_boots' })
  event.remove({ output: 'iceandfire:dragonsteel_ice_helmet' })
  event.remove({ output: 'iceandfire:dragonsteel_ice_chestplate' })
  event.remove({ output: 'iceandfire:dragonsteel_ice_leggings' })
  event.remove({ output: 'iceandfire:dragonsteel_ice_boots' })
  event.remove({ output: 'iceandfire:dragonsteel_lightning_helmet' })
  event.remove({ output: 'iceandfire:dragonsteel_lightning_chestplate' })
  event.remove({ output: 'iceandfire:dragonsteel_lightning_leggings' })
  event.remove({ output: 'iceandfire:dragonsteel_lightning_boots' })
  event.shaped('iceandfire:dragonsteel_fire_helmet', [
    ' N ',
    'III',
    'E R'
  ], {
    I: 'iceandfire:dragonsteel_fire_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_fire_chestplate', [
    'E R',
    'INI',
    'III'
  ], {
    I: 'iceandfire:dragonsteel_fire_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_fire_leggings', [
    'INI',
    'E R',
    'I I'
  ], {
    I: 'iceandfire:dragonsteel_fire_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_fire_boots', [
    'I I',
    'ENR'
  ], {
    I: 'iceandfire:dragonsteel_fire_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_ice_helmet', [
    ' N ',
    'III',
    'E R'
  ], {
    I: 'iceandfire:dragonsteel_ice_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_ice_chestplate', [
    'E R',
    'INI',
    'III'
  ], {
    I: 'iceandfire:dragonsteel_ice_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_ice_leggings', [
    'INI',
    'E R',
    'I I'
  ], {
    I: 'iceandfire:dragonsteel_ice_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_ice_boots', [
    'I I',
    'ENR'
  ], {
    I: 'iceandfire:dragonsteel_ice_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_lightning_helmet', [
    ' N ',
    'III',
    'E R'
  ], {
    I: 'iceandfire:dragonsteel_lightning_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_lightning_chestplate', [
    'E R',
    'INI',
    'III'
  ], {
    I: 'iceandfire:dragonsteel_lightning_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_lightning_leggings', [
    'INI',
    'E R',
    'I I'
  ], {
    I: 'iceandfire:dragonsteel_lightning_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
  event.shaped('iceandfire:dragonsteel_lightning_boots', [
    'I I',
    'ENR'
  ], {
    I: 'iceandfire:dragonsteel_lightning_ingot',
    E: 'terramity:exodium_superalloy',
    N: 'terramity:nyxium',
    R: 'terramity:reverium'
  })
})

ServerEvents.recipes(event => {
    event.smithing(
      'toms_storage:ts.adv_wireless_terminal',
      'minecraft:netherite_ingot',
      'toms_storage:ts.wireless_terminal',
      'minecraft:echo_shard'
    );
});